# Class JMSProperties

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.jms.sampler.JMSProperties

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, TestElement`

public class JMSProperties extends AbstractTestElement implements Serializable
A set of JMSProperty objects.

Since:
  2.11
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JMS_PROPERTIES`
The name of the property used to store the JmsProperties.

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`JMSProperties()`
Create a new JmsPropertys object with no JmsProperties

## Method Summary

Modifier and Type
Method
Description
`void`
`addJmsProperty(String name, String value)`
Add a new JMSProperty with the given name and value.
`void`
`addJmsProperty(String name, String value, String type)`
Add a new argument with the given name, value, and metadata.
`void`
`addJmsProperty(JMSProperty arg)`
Add a new argument.
`void`
`clear()`
Clear the JmsProperties.
`JMSProperty`
`getJmsProperty(int row)`
Get a single JMSProperty.
`int`
`getJmsPropertyCount()`
Get the number of JmsProperties in the list.
`Map<String,Object>`
`getJmsPropertysAsMap()`
Get the JmsProperties as a Map.
`CollectionProperty`
`getProperties()`
Get the JmsPropertiess.
`PropertyIterator`
`iterator()`
Get a PropertyIterator of the JmsProperties.
`void`
`removeAllJmsPropertys()`
Remove all JmsProperties from the list.
`void`
`removeJmsProperty(int row)`
Remove the specified argument from the list.
`void`
`removeJmsProperty(String argName)`
Remove the argument with the specified name.
`void`
`removeJmsProperty(JMSProperty arg)`
Remove the specified argument from the list.
`void`
`setProperties(List<JMSProperty> jmsProperties)`
Set the list of JmsProperties.
`String`
`toString()`
Create a string representation of the JmsProperties.

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### JMS_PROPERTIES

public static final String JMS_PROPERTIES
The name of the property used to store the JmsProperties.

See Also:
  - Constant Field Values

## Constructor Details

### JMSProperties

public JMSProperties()
Create a new JmsPropertys object with no JmsProperties

## Method Details

### getProperties

public CollectionProperty getProperties()
Get the JmsPropertiess.

Returns:
  the JmsProperties

### clear

public void clear()
Clear the JmsProperties.

Specified by:
  `clear` in interface `TestElement`
Overrides:
  `clear` in class `AbstractTestElement`

### setProperties

public void setProperties(List<JMSProperty> jmsProperties)
Set the list of JmsProperties. Any existing JmsProperties will be lost.

Parameters:
  `jmsProperties` - the new JmsProperties

### getJmsPropertysAsMap

public Map<String,Object> getJmsPropertysAsMap()
Get the JmsProperties as a Map. Each JMSProperty name is used as the key, and its value as the value.

Returns:
  a new Map with String keys and values containing the JmsProperties

### addJmsProperty

public void addJmsProperty(String name, String value)
Add a new JMSProperty with the given name and value.

Parameters:
  `name` - the name of the JMSProperty
  `value` - the value of the JMSProperty

### addJmsProperty

public void addJmsProperty(JMSProperty arg)
Add a new argument.

Parameters:
  `arg` - the new argument

### addJmsProperty

public void addJmsProperty(String name, String value, String type)
Add a new argument with the given name, value, and metadata.

Parameters:
  `name` - the name of the argument
  `value` - the value of the argument
  `type` - the type for the argument

### iterator

public PropertyIterator iterator()
Get a PropertyIterator of the JmsProperties.

Returns:
  an iteration of the JmsProperties

### toString

public String toString()
Create a string representation of the JmsProperties.

Overrides:
  `toString` in class `Object`
Returns:
  the string representation of the JmsProperties

### removeJmsProperty

public void removeJmsProperty(int row)
Remove the specified argument from the list.

Parameters:
  `row` - the index of the argument to remove

### removeJmsProperty

public void removeJmsProperty(JMSProperty arg)
Remove the specified argument from the list.

Parameters:
  `arg` - the argument to remove

### removeJmsProperty

public void removeJmsProperty(String argName)
Remove the argument with the specified name.

Parameters:
  `argName` - the name of the argument to remove

### removeAllJmsPropertys

public void removeAllJmsPropertys()
Remove all JmsProperties from the list.

### getJmsPropertyCount

public int getJmsPropertyCount()
Get the number of JmsProperties in the list.

Returns:
  the number of JmsProperties

### getJmsProperty

public JMSProperty getJmsProperty(int row)
Get a single JMSProperty.

Parameters:
  `row` - the index of the JMSProperty to return.
Returns:
  the JMSProperty at the specified index, or null if no JMSProperty exists at that index.